const database = require("../db");
const stringutils = require("../stringutils");

const chatController = {
    add: async (req, res) => {
        try {
            const { pubkey } = req.body;
            if (!pubkey) {
                return res.status(400).json({ error: "Missing publicKey" });
            }
            await database.createRoom(req.session.publicKey, stringutils.pemToHex(pubkey));
            return res.status(201).json({ message: "Room created successfully." });
        } catch (error) {
            console.error("Error creating the room:", error);
            return res.status(500).json({ error: "Failed to create the room" });
        }
    },
}

module.exports = chatController;
